Ignore:
Timestamp:
04/28/21 18:27:29 (4 years ago)
Author:
maslowski
Message:
Fixed error handeling regarding fitsdump, star and callisto. Also Fixed some typos.
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Mars/hawc/processing/DiskToDB/run-star2.sh

    r20091 r20093  
    156156                        RC=${PIPESTATUS[0]}
    157157
    158                         STARERR=`grep "Error" "${OUT}"/${PREFIX}.log || true`
    159                         BADSTRG=`grep "Error in <ReplaceSubs>: bad string number:"\
    160                                 "${OUT}"/${PREFIX}.log || true`
    161                         if [ -n "${STARERR}" ] && [ -z "${BADSTRG}" ]
    162                         then
    163                                 echo "ERROR: Line $LINENO error in star.C" >&2
    164                                 echo "error was: ${STARERR}" >&2
    165                                 exit 1
    166                         fi
    167 
    168158                        echo RC=${RC} | tee -a "${OUT}"/${PREFIX}.log
    169159                        echo ${RC} > "${OUT}"/.${PREFIX}.done
Note: See TracChangeset for help on using the changeset viewer.